﻿// Copyright (c) Six Labors and contributors.
// Licensed under the Apache License, Version 2.0.

namespace SixLabors.ImageSharp.PixelFormats
{
    /// <content>
    /// Provides standardized definitions for named colors.
    /// </content>
    public partial struct Rgba32
    {
        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F0F8FF.
        /// </summary>
        public static readonly Rgba32 AliceBlue = Color.AliceBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FAEBD7.
        /// </summary>
        public static readonly Rgba32 AntiqueWhite = Color.AntiqueWhite;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FFFF.
        /// </summary>
        public static readonly Rgba32 Aqua = Color.Aqua;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #7FFFD4.
        /// </summary>
        public static readonly Rgba32 Aquamarine = Color.Aquamarine;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F0FFFF.
        /// </summary>
        public static readonly Rgba32 Azure = Color.Azure;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F5F5DC.
        /// </summary>
        public static readonly Rgba32 Beige = Color.Beige;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFE4C4.
        /// </summary>
        public static readonly Rgba32 Bisque = Color.Bisque;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #000000.
        /// </summary>
        public static readonly Rgba32 Black = Color.Black;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFEBCD.
        /// </summary>
        public static readonly Rgba32 BlanchedAlmond = Color.BlanchedAlmond;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #0000FF.
        /// </summary>
        public static readonly Rgba32 Blue = Color.Blue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8A2BE2.
        /// </summary>
        public static readonly Rgba32 BlueViolet = Color.BlueViolet;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #A52A2A.
        /// </summary>
        public static readonly Rgba32 Brown = Color.Brown;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DEB887.
        /// </summary>
        public static readonly Rgba32 BurlyWood = Color.BurlyWood;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #5F9EA0.
        /// </summary>
        public static readonly Rgba32 CadetBlue = Color.CadetBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #7FFF00.
        /// </summary>
        public static readonly Rgba32 Chartreuse = Color.Chartreuse;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #D2691E.
        /// </summary>
        public static readonly Rgba32 Chocolate = Color.Chocolate;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF7F50.
        /// </summary>
        public static readonly Rgba32 Coral = Color.Coral;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #6495ED.
        /// </summary>
        public static readonly Rgba32 CornflowerBlue = Color.CornflowerBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFF8DC.
        /// </summary>
        public static readonly Rgba32 Cornsilk = Color.Cornsilk;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DC143C.
        /// </summary>
        public static readonly Rgba32 Crimson = Color.Crimson;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FFFF.
        /// </summary>
        public static readonly Rgba32 Cyan = Color.Cyan;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00008B.
        /// </summary>
        public static readonly Rgba32 DarkBlue = Color.DarkBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #008B8B.
        /// </summary>
        public static readonly Rgba32 DarkCyan = Color.DarkCyan;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #B8860B.
        /// </summary>
        public static readonly Rgba32 DarkGoldenrod = Color.DarkGoldenrod;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #A9A9A9.
        /// </summary>
        public static readonly Rgba32 DarkGray = Color.DarkGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #006400.
        /// </summary>
        public static readonly Rgba32 DarkGreen = Color.DarkGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #BDB76B.
        /// </summary>
        public static readonly Rgba32 DarkKhaki = Color.DarkKhaki;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8B008B.
        /// </summary>
        public static readonly Rgba32 DarkMagenta = Color.DarkMagenta;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #556B2F.
        /// </summary>
        public static readonly Rgba32 DarkOliveGreen = Color.DarkOliveGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF8C00.
        /// </summary>
        public static readonly Rgba32 DarkOrange = Color.DarkOrange;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #9932CC.
        /// </summary>
        public static readonly Rgba32 DarkOrchid = Color.DarkOrchid;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8B0000.
        /// </summary>
        public static readonly Rgba32 DarkRed = Color.DarkRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #E9967A.
        /// </summary>
        public static readonly Rgba32 DarkSalmon = Color.DarkSalmon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8FBC8B.
        /// </summary>
        public static readonly Rgba32 DarkSeaGreen = Color.DarkSeaGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #483D8B.
        /// </summary>
        public static readonly Rgba32 DarkSlateBlue = Color.DarkSlateBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #2F4F4F.
        /// </summary>
        public static readonly Rgba32 DarkSlateGray = Color.DarkSlateGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00CED1.
        /// </summary>
        public static readonly Rgba32 DarkTurquoise = Color.DarkTurquoise;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #9400D3.
        /// </summary>
        public static readonly Rgba32 DarkViolet = Color.DarkViolet;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF1493.
        /// </summary>
        public static readonly Rgba32 DeepPink = Color.DeepPink;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00BFFF.
        /// </summary>
        public static readonly Rgba32 DeepSkyBlue = Color.DeepSkyBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #696969.
        /// </summary>
        public static readonly Rgba32 DimGray = Color.DimGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #1E90FF.
        /// </summary>
        public static readonly Rgba32 DodgerBlue = Color.DodgerBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #B22222.
        /// </summary>
        public static readonly Rgba32 Firebrick = Color.Firebrick;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFAF0.
        /// </summary>
        public static readonly Rgba32 FloralWhite = Color.FloralWhite;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #228B22.
        /// </summary>
        public static readonly Rgba32 ForestGreen = Color.ForestGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF00FF.
        /// </summary>
        public static readonly Rgba32 Fuchsia = Color.Fuchsia;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DCDCDC.
        /// </summary>
        public static readonly Rgba32 Gainsboro = Color.Gainsboro;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F8F8FF.
        /// </summary>
        public static readonly Rgba32 GhostWhite = Color.GhostWhite;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFD700.
        /// </summary>
        public static readonly Rgba32 Gold = Color.Gold;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DAA520.
        /// </summary>
        public static readonly Rgba32 Goldenrod = Color.Goldenrod;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #808080.
        /// </summary>
        public static readonly Rgba32 Gray = Color.Gray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #008000.
        /// </summary>
        public static readonly Rgba32 Green = Color.Green;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #ADFF2F.
        /// </summary>
        public static readonly Rgba32 GreenYellow = Color.GreenYellow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F0FFF0.
        /// </summary>
        public static readonly Rgba32 Honeydew = Color.Honeydew;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF69B4.
        /// </summary>
        public static readonly Rgba32 HotPink = Color.HotPink;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #CD5C5C.
        /// </summary>
        public static readonly Rgba32 IndianRed = Color.IndianRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #4B0082.
        /// </summary>
        public static readonly Rgba32 Indigo = Color.Indigo;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFFF0.
        /// </summary>
        public static readonly Rgba32 Ivory = Color.Ivory;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F0E68C.
        /// </summary>
        public static readonly Rgba32 Khaki = Color.Khaki;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #E6E6FA.
        /// </summary>
        public static readonly Rgba32 Lavender = Color.Lavender;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFF0F5.
        /// </summary>
        public static readonly Rgba32 LavenderBlush = Color.LavenderBlush;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #7CFC00.
        /// </summary>
        public static readonly Rgba32 LawnGreen = Color.LawnGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFACD.
        /// </summary>
        public static readonly Rgba32 LemonChiffon = Color.LemonChiffon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #ADD8E6.
        /// </summary>
        public static readonly Rgba32 LightBlue = Color.LightBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F08080.
        /// </summary>
        public static readonly Rgba32 LightCoral = Color.LightCoral;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #E0FFFF.
        /// </summary>
        public static readonly Rgba32 LightCyan = Color.LightCyan;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FAFAD2.
        /// </summary>
        public static readonly Rgba32 LightGoldenrodYellow = Color.LightGoldenrodYellow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #D3D3D3.
        /// </summary>
        public static readonly Rgba32 LightGray = Color.LightGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #90EE90.
        /// </summary>
        public static readonly Rgba32 LightGreen = Color.LightGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFB6C1.
        /// </summary>
        public static readonly Rgba32 LightPink = Color.LightPink;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFA07A.
        /// </summary>
        public static readonly Rgba32 LightSalmon = Color.LightSalmon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #20B2AA.
        /// </summary>
        public static readonly Rgba32 LightSeaGreen = Color.LightSeaGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #87CEFA.
        /// </summary>
        public static readonly Rgba32 LightSkyBlue = Color.LightSkyBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #778899.
        /// </summary>
        public static readonly Rgba32 LightSlateGray = Color.LightSlateGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #B0C4DE.
        /// </summary>
        public static readonly Rgba32 LightSteelBlue = Color.LightSteelBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFFE0.
        /// </summary>
        public static readonly Rgba32 LightYellow = Color.LightYellow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FF00.
        /// </summary>
        public static readonly Rgba32 Lime = Color.Lime;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #32CD32.
        /// </summary>
        public static readonly Rgba32 LimeGreen = Color.LimeGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FAF0E6.
        /// </summary>
        public static readonly Rgba32 Linen = Color.Linen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF00FF.
        /// </summary>
        public static readonly Rgba32 Magenta = Color.Magenta;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #800000.
        /// </summary>
        public static readonly Rgba32 Maroon = Color.Maroon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #66CDAA.
        /// </summary>
        public static readonly Rgba32 MediumAquamarine = Color.MediumAquamarine;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #0000CD.
        /// </summary>
        public static readonly Rgba32 MediumBlue = Color.MediumBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #BA55D3.
        /// </summary>
        public static readonly Rgba32 MediumOrchid = Color.MediumOrchid;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #9370DB.
        /// </summary>
        public static readonly Rgba32 MediumPurple = Color.MediumPurple;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #3CB371.
        /// </summary>
        public static readonly Rgba32 MediumSeaGreen = Color.MediumSeaGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #7B68EE.
        /// </summary>
        public static readonly Rgba32 MediumSlateBlue = Color.MediumSlateBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FA9A.
        /// </summary>
        public static readonly Rgba32 MediumSpringGreen = Color.MediumSpringGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #48D1CC.
        /// </summary>
        public static readonly Rgba32 MediumTurquoise = Color.MediumTurquoise;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #C71585.
        /// </summary>
        public static readonly Rgba32 MediumVioletRed = Color.MediumVioletRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #191970.
        /// </summary>
        public static readonly Rgba32 MidnightBlue = Color.MidnightBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F5FFFA.
        /// </summary>
        public static readonly Rgba32 MintCream = Color.MintCream;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFE4E1.
        /// </summary>
        public static readonly Rgba32 MistyRose = Color.MistyRose;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFE4B5.
        /// </summary>
        public static readonly Rgba32 Moccasin = Color.Moccasin;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFDEAD.
        /// </summary>
        public static readonly Rgba32 NavajoWhite = Color.NavajoWhite;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #000080.
        /// </summary>
        public static readonly Rgba32 Navy = Color.Navy;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FDF5E6.
        /// </summary>
        public static readonly Rgba32 OldLace = Color.OldLace;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #808000.
        /// </summary>
        public static readonly Rgba32 Olive = Color.Olive;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #6B8E23.
        /// </summary>
        public static readonly Rgba32 OliveDrab = Color.OliveDrab;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFA500.
        /// </summary>
        public static readonly Rgba32 Orange = Color.Orange;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF4500.
        /// </summary>
        public static readonly Rgba32 OrangeRed = Color.OrangeRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DA70D6.
        /// </summary>
        public static readonly Rgba32 Orchid = Color.Orchid;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #EEE8AA.
        /// </summary>
        public static readonly Rgba32 PaleGoldenrod = Color.PaleGoldenrod;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #98FB98.
        /// </summary>
        public static readonly Rgba32 PaleGreen = Color.PaleGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #AFEEEE.
        /// </summary>
        public static readonly Rgba32 PaleTurquoise = Color.PaleTurquoise;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DB7093.
        /// </summary>
        public static readonly Rgba32 PaleVioletRed = Color.PaleVioletRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFEFD5.
        /// </summary>
        public static readonly Rgba32 PapayaWhip = Color.PapayaWhip;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFDAB9.
        /// </summary>
        public static readonly Rgba32 PeachPuff = Color.PeachPuff;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #CD853F.
        /// </summary>
        public static readonly Rgba32 Peru = Color.Peru;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFC0CB.
        /// </summary>
        public static readonly Rgba32 Pink = Color.Pink;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DDA0DD.
        /// </summary>
        public static readonly Rgba32 Plum = Color.Plum;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #B0E0E6.
        /// </summary>
        public static readonly Rgba32 PowderBlue = Color.PowderBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #800080.
        /// </summary>
        public static readonly Rgba32 Purple = Color.Purple;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #663399.
        /// </summary>
        public static readonly Rgba32 RebeccaPurple = Color.RebeccaPurple;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF0000.
        /// </summary>
        public static readonly Rgba32 Red = Color.Red;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #BC8F8F.
        /// </summary>
        public static readonly Rgba32 RosyBrown = Color.RosyBrown;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #4169E1.
        /// </summary>
        public static readonly Rgba32 RoyalBlue = Color.RoyalBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8B4513.
        /// </summary>
        public static readonly Rgba32 SaddleBrown = Color.SaddleBrown;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FA8072.
        /// </summary>
        public static readonly Rgba32 Salmon = Color.Salmon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F4A460.
        /// </summary>
        public static readonly Rgba32 SandyBrown = Color.SandyBrown;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #2E8B57.
        /// </summary>
        public static readonly Rgba32 SeaGreen = Color.SeaGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFF5EE.
        /// </summary>
        public static readonly Rgba32 SeaShell = Color.SeaShell;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #A0522D.
        /// </summary>
        public static readonly Rgba32 Sienna = Color.Sienna;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #C0C0C0.
        /// </summary>
        public static readonly Rgba32 Silver = Color.Silver;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #87CEEB.
        /// </summary>
        public static readonly Rgba32 SkyBlue = Color.SkyBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #6A5ACD.
        /// </summary>
        public static readonly Rgba32 SlateBlue = Color.SlateBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #708090.
        /// </summary>
        public static readonly Rgba32 SlateGray = Color.SlateGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFAFA.
        /// </summary>
        public static readonly Rgba32 Snow = Color.Snow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FF7F.
        /// </summary>
        public static readonly Rgba32 SpringGreen = Color.SpringGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #4682B4.
        /// </summary>
        public static readonly Rgba32 SteelBlue = Color.SteelBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #D2B48C.
        /// </summary>
        public static readonly Rgba32 Tan = Color.Tan;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #008080.
        /// </summary>
        public static readonly Rgba32 Teal = Color.Teal;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #D8BFD8.
        /// </summary>
        public static readonly Rgba32 Thistle = Color.Thistle;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF6347.
        /// </summary>
        public static readonly Rgba32 Tomato = Color.Tomato;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFFFF.
        /// </summary>
        public static readonly Rgba32 Transparent = Color.Transparent;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #40E0D0.
        /// </summary>
        public static readonly Rgba32 Turquoise = Color.Turquoise;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #EE82EE.
        /// </summary>
        public static readonly Rgba32 Violet = Color.Violet;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F5DEB3.
        /// </summary>
        public static readonly Rgba32 Wheat = Color.Wheat;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFFFF.
        /// </summary>
        public static readonly Rgba32 White = Color.White;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F5F5F5.
        /// </summary>
        public static readonly Rgba32 WhiteSmoke = Color.WhiteSmoke;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFF00.
        /// </summary>
        public static readonly Rgba32 Yellow = Color.Yellow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #9ACD32.
        /// </summary>
        public static readonly Rgba32 YellowGreen = Color.YellowGreen;
    }
}