// Copyright (c) Six Labors and contributors.
// Licensed under the Apache License, Version 2.0.

using SixLabors.ImageSharp.Processing;
using SixLabors.ImageSharp.Processing.Processors.Convolution;
using Xunit;

namespace SixLabors.ImageSharp.Tests.Processing.Convolution
{
    public class GaussianSharpenTest : BaseImageOperationsExtensionTest
    {
        [Fact]
        public void GaussianSharpen_GaussianSharpenProcessorDefaultsSet()
        {
            this.operations.GaussianSharpen();
            var processor = this.Verify<GaussianSharpenProcessor>();

            Assert.Equal(3f, processor.Sigma);
        }

        [Fact]
        public void GaussianSharpen_amount_GaussianSharpenProcessorDefaultsSet()
        {
            this.operations.GaussianSharpen(0.2f);
            var processor = this.Verify<GaussianSharpenProcessor>();

            Assert.Equal(.2f, processor.Sigma);
        }

        [Fact]
        public void GaussianSharpen_amount_rect_GaussianSharpenProcessorDefaultsSet()
        {
            this.operations.GaussianSharpen(0.6f, this.rect);
            var processor = this.Verify<GaussianSharpenProcessor>(this.rect);

            Assert.Equal(.6f, processor.Sigma);
        }
    }
}